Subject: Re: bug#19530: Solaris 10 df and zfs

From: Pádraig Brady <[email-masked]>
Date: Wed, 07 Jan 2015 17:51:18 +0000

On 07/01/15 17:00, Ted Carr wrote:
> Hello All,
> 
>  
> 
> I have a requirement for the latest version of coreutils on Solaris 10 SPARC and everything is working as expected with the exception of ‘df’ on ZFS based filesystems… 
> 
> It is having an issue correctly displaying the file system mounted on root.
> 
> SUN df:
> # /usr/bin/df -hl
> Filesystem             size   used  avail capacity  Mounted on
> rpool/ROOT/q414         67G    11G    40G    22%    /
> /platform/sun4u-us3/lib/libc_psr/libc_psr_hwcap1.so.1
>                         51G    11G    40G    22%    /platform/sun4u-us3/lib/libc_psr.so.1
> /platform/sun4u-us3/lib/sparcv9/libc_psr/libc_psr_hwcap1.so.1
>                         51G    11G    40G    22%    /platform/sun4u-us3/lib/sparcv9/libc_psr.so.1
> 
> GNU df:
> # /var/tmp/coreutils-8.23/src/df -hl
> 
> Filesystem                                                     Size  Used Avail Use% Mounted on
> /platform/.../libc_psr_hwcap1.so.1   51G   11G   40G  22% /platform/.../sparcv9/libc_psr.so.1

Could you show the output from df -a -hl

> If I force it to just display / I see:
> 
> # /var/tmp/coreutils-8.23/src/df -h /
> Filesystem       Size  Used Avail Use% Mounted on
> rpool/ROOT/q414   51G   11G   40G  22% /

There have been a few changes to df since 8.23.
Could you patch df.c with this (or replace with this version) and recompile?
http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=ed1a495b

thanks,
Pádraig